% Contents of the Resonator-bank Simulink toolbox
% (c) Gy. Simon, 28-07-1997
%  
%   Systems
%   -------
%   reslib        - Collection of useful blocks.
%   compdemo      - Demo illustrating the usage of some new blocks.
%   amdemo        - Amplitude modulation demo with blsigcon.
%   fmdemo        - Frequency modulation demo with blsigcon.
%
%   S-functions 
%   -----------
%   resonfa       - Resonator bank structure.
%   adapt         - Frequency adaptation for resonator bank structures.
%   blsiggen      - Band limited signal generator.
%   blsigcon      - Modulated band limited signal generator.
%   counter       - Measures elapsed simulation time since the 
%                   input is equal to or greater than a given threshold.
%   led           - Three-color LED display on the block-diagram.
%   nummon        - Display a numerical value on the block-diagram.
%   trplot        - X-Y 'Comet'-scope.
%   sfuntf1       - Modified version of the original spectrum analyser.

%
%   Other functions
%   ---------------
%   calcl         - Calculates the necessary number of resonators.
%   calcrs        - Calculates the coefficient vector 'r'.
