function [sys, x0] = counter(t,x,u,flag, threshold, sample)

% function [sys, x0] = counter(t,x,u,flag, threshold, output, sample)
% Counter S-file. Output: elapsed time since input >= threshold

% (c) Gy. Simon, 28-07-1997


ns=0;
nd=1; 
no=1;
ni=1;

if  abs(flag)==2

	sample_hit = (rem(t+sample/1e8,sample) < sample/1e6);
	if sample_hit 
		now=t;
		if u<threshold
			x=now;
		end

		sys=[x(1); now-x(1)];
	else
		sys = x;
	end
elseif flag == 3
	sys=x(2);

elseif flag ==4, 
	sys=ceil(t/sample+sample/1e8)*sample;

elseif flag == 0,
	sys=[ns,nd+no,no,ni,0,0]; x0 = [0; 0];

elseif flag == 9

end
